Bug 644299 - mistakes in the init script and packaging make this unusable
Summary: mistakes in the init script and packaging make this unusable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: iodine
Version: el5
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-19 11:33 UTC by Andy Shevchenko
Modified: 2010-11-26 16:58 UTC (History)
2 users (show)

Fixed In Version: iodine-0.6.0-0.rc1.6.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 22:34:47 UTC
Type: ---


Attachments (Terms of Use)

Description Andy Shevchenko 2010-10-19 11:33:40 UTC
Description of problem:
The client and server are located in the /usr/sbin, but initscript for server expects it in /usr/bin.

My POV the client should be located in the /usr/bin and server in /usr/sbin. This actually good point to understand why the server and client might be in the separate binary packages.

Please, look at openssh packaging as an good example.

Version-Release number of selected component (if applicable):
Last in EPEL5 at least.

P.S. I'm sorry, but have you ever try to use your package?

Comment 1 Pavel Alexeev 2010-10-23 20:17:31 UTC
Thank you very much for the bugreport.

Please test this build - http://koji.fedoraproject.org/koji/taskinfo?taskID=2550468 (rawhide) or http://koji.fedoraproject.org/koji/taskinfo?taskID=2550511 (EL5)
If problem solved I'll push updates.

> My POV the client should be located in the /usr/bin and server in /usr/sbin.
> This actually good point to understand why the server and client might be in
> the separate binary packages.
Both, client and server is system service, so, I think it is good place fo it in /usr/sbin according hierarchy manual.

> Please, look at openssh packaging as an good example.
It contain only one service at this point.

> Version-Release number of selected component (if applicable):
> Last in EPEL5 at least.
Sorry, but it is not nor version, nor release :)

> P.S. I'm sorry, but have you ever try to use your package?
You are right, it is my error. Last modification suggested by co-maintainer to divide services to server and client was not carefully tested by me. Sorry for any inconsistence.

Comment 2 Andy Shevchenko 2010-10-25 07:07:27 UTC
Now it seems to be OK.

Comment 3 Fedora Update System 2010-11-11 05:57:17 UTC
iodine-0.6.0-0.rc1.6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iodine-0.6.0-0.rc1.6.el5

Comment 4 Fedora Update System 2010-11-11 06:08:11 UTC
iodine-0.6.0-0.rc1.6.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/iodine-0.6.0-0.rc1.6.fc12

Comment 5 Fedora Update System 2010-11-11 06:12:56 UTC
iodine-0.6.0-0.rc1.6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/iodine-0.6.0-0.rc1.6.fc13

Comment 6 Fedora Update System 2010-11-11 16:38:44 UTC
iodine-0.6.0-0.rc1.6.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iodine'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/iodine-0.6.0-0.rc1.6.el5

Comment 7 Fedora Update System 2010-11-19 22:34:26 UTC
iodine-0.6.0-0.rc1.6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-11-19 22:38:28 UTC
iodine-0.6.0-0.rc1.6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-11-26 16:58:24 UTC
iodine-0.6.0-0.rc1.6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.